Package org.apache.any23.extractor.rdf

## Class TurtleExtractor

- java.lang.Object
- - org.apache.any23.extractor.rdf.BaseRDFExtractor
  - - org.apache.any23.extractor.rdf.TurtleExtractor

- All Implemented Interfaces:
    `Extractor<InputStream>`, `Extractor.ContentExtractor`

      public class TurtleExtractor
      extends BaseRDFExtractor

  Concrete implementation of `Extractor.ContentExtractor` able to perform the extraction on Turtle documents.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `Extractor.BlindExtractor, Extractor.ContentExtractor, Extractor.TagSoupDOMExtractor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TurtleExtractor()` | Default constructor, with no verification of data types and no stop at first error.
    `TurtleExtractor​(boolean verifyDataType, boolean stopAtFirstError)` | Constructor, allows to specify the validation and error handling policies.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtractorDescription` | `getDescription()` | Returns a `ExtractorDescription` of this extractor.
    `protected org.eclipse.rdf4j.rio.RDFParser` | `getParser​(ExtractionContext extractionContext, ExtractionResult extractionResult)` |

    - ### Methods inherited from class org.apache.any23.extractor.rdf.BaseRDFExtractor

      `isStopAtFirstError, isVerifyDataType, run, setStopAtFirstError, setVerifyDataType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TurtleExtractor

          public TurtleExtractor​(boolean verifyDataType,
                                 boolean stopAtFirstError)

      Constructor, allows to specify the validation and error handling policies.
      Parameters:
        `verifyDataType` - if `true` the data types will be verified, if `false` will be ignored.
        `stopAtFirstError` - if `true` the parser will stop at first parsing error, if `false` will ignore non blocking errors.

    - #### TurtleExtractor

          public TurtleExtractor()

      Default constructor, with no verification of data types and no stop at first error.

  - ### Method Detail

    - #### getDescription

          public ExtractorDescription getDescription()

      Description copied from interface: `Extractor`
      Returns a `ExtractorDescription` of this extractor.
      Returns:
        the object representing the extractor description.

    - #### getParser

          protected org.eclipse.rdf4j.rio.RDFParser getParser​(ExtractionContext extractionContext,
                                                              ExtractionResult extractionResult)

      Specified by:
        `getParser` in class `BaseRDFExtractor`